# Generated by go2rpm 1.8.2
%bcond_without check
%bcond_without bootstrap
%if %{with bootstrap}
%global debug_package %{nil}
%endif

# https://github.com/kubernetes-sigs/kustomize
%global goipath         sigs.k8s.io/kustomize
%global forgeurl        https://github.com/kubernetes-sigs/kustomize
Version:                4.5.7
%global tag             kustomize/v4.5.7
%global distprefix      %{nil}

%gometa

%global common_description %{expand:
kustomize lets you customize raw, template-free YAML files for multiple
purposes, leaving the original YAML untouched and usable as is.

kustomize targets kubernetes; it understands and can patch kubernetes style API
objects. It's like make, in that what it does is declared in a file, and it's
like sed, in that it emits edited text.}

%global golicenses      LICENSE
%global godocs          examples ARCHITECTURE.md CONTRIBUTING.md README.md\\\
                        ROADMAP.md code-of-conduct.md

Name:           %{goname}
Release:        %autorelease
Summary:        Customization of kubernetes YAML configurations

License:        MIT AND Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep

mkdir -p kustomize/v4 cmd/pluginator/v2
shopt -s extglob
mv kustomize/!(v4) kustomize/v4/.
mv cmd/pluginator/!(v2) cmd/pluginator/v2/.
shopt -u extglob


%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%if %{without bootstrap}
%build
%gobuild -o %{gobuilddir}/bin/kustomize %{goipath}/kustomize/v4/
%endif

%install
%gopkginstall
%if %{without bootstrap}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
%endif

%if %{without bootstrap}
%if %{with check}
%check
for test in "TestAddManagedbyLabel" \
            "TestAnnoOriginRemoteBuiltinGenerator" \
            "TestRemoteLoad" \
            "TestRemoteResourceHttps" \
            "TestRemoteResourcePort" \
            "TestRemoteResourceGoGetter" \
            "TestRemoteResourceWithHttpError" \
            "TestRemoteResourceAnnoOrigin" \
            "TestRemoteResourceAsBaseWithAnnoOrigin" \
            "TestAnnoOriginRemoteBuiltinTransformer" \
            "TestCreateSetterCommand" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck
%endif
%endif

%if %{without bootstrap}
%files
%license LICENSE
%doc examples ARCHITECTURE.md CONTRIBUTING.md README.md ROADMAP.md
%doc code-of-conduct.md
%{_bindir}/kustomize
%endif

%gopkgfiles

%changelog
%autochangelog
